Name:		blueproximity
Version:	1.2.5
Release:	19%{?dist}
Summary:	Detects you via your bluetooth devices and locks/unlocks the screen
BuildArch:	noarch
Group:		Applications/Communications
License:	GPL+
URL:		http://blueproximity.sourceforge.net/
Source0:	http://downloads.sourceforge.net/blueproximity/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		blueproximity-fedorization.diff
Patch1:		blueproximity-fix-bash-script.diff
Patch2:		blueproximity-python-ConfigObj.patch
BuildRequires:	desktop-file-utils, gettext
Requires:	pybluez, pygtk2-libglade
# Required due to Patch2
Requires:	python2-configobj >= 4.7.0

%description
Add security to your desktop by automatically locking and unlocking 
the screen when you and your phone leave/enter the desk. Think of a 
proximity detector for your mobile phone via bluetooth.

%prep
%setup -q -n %{name}-%{version}.orig
%patch0 -p0 -b .fedorization
%patch1 -p0 -b .fix-bash-script
%patch2 -p0 -b .ConfigObj

%build

%install
rm -rf %{buildroot}

# Create Directory Structure
install -d %{buildroot}%{_datadir}/%{name}/
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/pixmaps/
install -d %{buildroot}%{_datadir}/%{name}/pixmaps/
install -d %{buildroot}%{_mandir}/man1/

# Install Files
install -p -m 0755 start_proximity.sh %{buildroot}%{_bindir}/%{name}
install -p -m 0755 proximity.py %{buildroot}%{_datadir}/%{name}/
install -p -m 0644 proximity.glade %{buildroot}%{_datadir}/%{name}/
install -p -m 0644 doc/blueproximity.1 %{buildroot}%{_mandir}/man1/

# Install Languages
for i in $(ls LANG/); do
install -d %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES/
install -p -m 0644 LANG/$i/LC_MESSAGES/* %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES/
done

# Install Images
for i in $(ls *.svg); do
install -p -m 0644 $i %{buildroot}%{_datadir}/%{name}/pixmaps/
done

# Link in SVG
pushd %{buildroot}%{_datadir}
ln -s ../%{name}/pixmaps/%{name}_base.svg pixmaps/
popd

# Install Menu Item
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

# Find Languages
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README doc/manual*
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/blueproximity*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}_base.svg

%changelog
* Wed Feb 28 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.2.5-19
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.5-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.5-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.5-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.5-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 1.2.5-7
- recompiling .py files against Python 2.7 (rhbz#623280)

* Sun Jun 6 2010 Jonathan Steffan <jsteffan@fedoraproject.org> - 1.2.5-6
- Add patch for python ConfigObj changes

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 19 2009 Jonathan Steffan <jsteffan@fedoraproject.org> - 1.2.5-4
- Install man page, rather then shipping in documentation

* Thu Jun 18 2009 Jonathan Steffan <jsteffan@fedoraproject.org> - 1.2.5-3
- Update spec with changes from review
- Clean up spec and add comments

* Fri May 29 2009 Jonathan Steffan <jsteffan@fedoraproject.org> - 1.2.5-2
- Re-submit for inclusion in Fedora

* Thu Oct 30 2008 Patrick Steiner <patrick.steiner@a1.net> - 1.2.5-1
- Update to 1.2.5

* Tue Mar 11 2008 Nicolas Corrarello <ncorrare@redhat.com> - 1.2.4-6
- Fixed symlink of blueproximity_base
- Removed unnecesary install -d of locale dir.

* Tue Feb 26 2008 Nicolas Corrarello <ncorrare@redhat.com> - 1.2.4-5
- Fixed duplicate of blueproximity_base.svg
- Fixed some unnecesary "install -d"'s and "mkdir"'s

* Mon Feb 18 2008 Nicolas Corrarello <ncorrare@redhat.com> - 1.2.4-4
- Fixed Description Line (too long)
- Corrected mixed use of spaces and tabs

* Sun Feb 17 2008 Nicolas Corrarello <ncorrare@redhat.com> - 1.2.4-3
- Fixed Description Line (too long)
- Fixed Spec file name
- Fixed several macros in changelog
- Added empty build section
- Corrected mixed use of spaces and tabs
- Removed extra dependencies: pygtk2-libglade require pygtk2 which require pygobject2
- Fixed .desktop icon name
- Added copy of icon
- Changed .desktop filename to fedora-%%{name}.desktop

* Sun Feb 17 2008 Nicolas Corrarello <ncorrare@redhat.com> - 1.2.4-2
- Fixed Version:
- Fixed %%setup (added -q, added -n because of upstream directory)
- Fixed Source0 to upstream URL

* Sat Feb 16 2008 Nicolas Corrarello <ncorrare@redhat.com> - 1.2.4-1
- The licence field isn't correct. Corrected to GPLv2
- the upstream isn't used. Fixed %%version to work, changed Source0 to upstream version downloaded from sf.net
- gettext is only a BuildRequire. Fixed, removed from Require:
- /usr/share/blueproximity/proximity.glade is executable. Changed permissions to 0644
- name of the icon on the .desktop isn't correct. Changed to %%{name}.desktop

* Thu Feb 14 2008 Nicolas Corrarello <ncorrare@redhat.com> - 1.2.4-1
- Initial Fedora build
